## ros-noetic-lanelet2 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(lanelet2)
if($ENV{ROS_VERSION} EQUAL 1)
  find_package(catkin REQUIRED)
  install(FILES package.xml DESTINATION share/lanelet2)
elseif($ENV{ROS_VERSION} EQUAL 2)
  if(POLICY CMP0057)
    cmake_policy(SET CMP0057 NEW)
  endif()
  find_package(ament_cmake_core REQUIRED)
  ament_package()
endif()

## ros-noetic-lanelet2 1.2.0

=== debian/changelog ===
ros-noetic-lanelet2 (1.2.0-2buster) buster; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Increase minimum required cmake version.
  * Integrate into lanelet2
  * Contributors: Johannes Beck, Maximilian Naumann, immel-f

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2 (1.1.1-2buster) buster; urgency=high

  * Add missing dependency to ros_environment
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.1.0-2buster) buster; urgency=high

  * lanelet2 is now no longer a metapackage
  * Include ROS2 into CI scripts
  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.0.1-2buster) buster; urgency=high

  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.0.0-2buster) buster; urgency=high

  * Bump version to 1.0
  * Initial commit
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-lanelet2
Section: misc
Priority: optional
Maintainer: Fabian Immel <fabian.immel@kit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-ros-environment
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-lanelet2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-lanelet2-core, ros-noetic-lanelet2-examples, ros-noetic-lanelet2-io, ros-noetic-lanelet2-maps, ros-noetic-lanelet2-matching, ros-noetic-lanelet2-projection, ros-noetic-lanelet2-python, ros-noetic-lanelet2-routing, ros-noetic-lanelet2-traffic-rules, ros-noetic-lanelet2-validation
Description: Meta-package for lanelet2

## ros-noetic-lanelet2 1.2.1

=== debian/changelog ===
ros-noetic-lanelet2 (1.2.1-2focal) focal; urgency=high



 -- Fabian Immel <fabian.immel@kit.edu>  Wed, 10 May 2023 00:00:00 -0000

ros-noetic-lanelet2 (1.2.0-2focal) focal; urgency=high

  * Add CI using GitHub Actions (#256 <https://github.com/fzi-forschungszentrum-informatik/Lanelet2/issues/256>)
  * Increase minimum required cmake version.
  * Integrate into lanelet2
  * Contributors: Johannes Beck, Maximilian Naumann, immel-f

 -- Fabian Immel <fabian.immel@kit.edu>  Mon, 30 Jan 2023 00:00:00 -0000

ros-noetic-lanelet2 (1.1.1-2focal) focal; urgency=high

  * Add missing dependency to ros_environment
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Mon, 14 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.1.0-2focal) focal; urgency=high

  * lanelet2 is now no longer a metapackage
  * Include ROS2 into CI scripts
  * Add experimental support for building with colcon on ros2 and ament_cmake
  * Updating package.xml files to format 3.
  * Contributors: Fabian Poggenhans, Joshua Whitley

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Sun, 06 Sep 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.0.1-2focal) focal; urgency=high

  * Add changelogs
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 24 Mar 2020 00:00:00 -0000

ros-noetic-lanelet2 (1.0.0-2focal) focal; urgency=high

  * Bump version to 1.0
  * Initial commit
  * Contributors: Fabian Poggenhans

 -- Fabian Poggenhans <fabian.poggenhans@kit.edu>  Tue, 03 Mar 2020 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-lanelet2//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
